<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.energy.manage.service.mappers.detectionpointdic.DetectionPointDicMapper">
  <resultMap id="BaseResultMap" type="com.energy.manage.common.po.detectionpointdic.DetectionPointDicPo">
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="detection_point_cn" jdbcType="VARCHAR" property="detectionPointCn" />
    <result column="detection_point_en" jdbcType="VARCHAR" property="detectionPointEn" />
    <result column="drive_mode" jdbcType="VARCHAR" property="driveMode" />
  </resultMap>
  <sql id="Base_Column_List">
    detection_point_cn, detection_point_en, drive_mode
  </sql>

  <select id="selectByCondition" parameterType="java.lang.String" resultMap="BaseResultMap">
    select
        <include refid="Base_Column_List" />
    from detection_point_dic
    where find_in_set(#{driveMode},drive_mode)
  </select>
</mapper>
